-- Pull in the wezterm API
local wezterm = require("wezterm")

-- This will hold the configuration.
local config = wezterm.config_builder()

-- This is where you actually apply your config choices
config.colors = {
	-- Make the selection text color fully transparent.
	-- When fully transparent, the current text color will be used.
	selection_fg = "none",
	-- Set the selection background color with alpha.
	-- When selection_bg is transparent, it will be alpha blended over
	-- the current cell background color, rather than replace it
	selection_bg = "rgba(30% 30% 30% 30%)",
	-- background = "rgba(25% 25% 25% 25%)",
}

config.max_fps = 96

config.window_background_opacity = 0.65
-- For example, changing the color scheme:
config.color_scheme = "Github Dark (Gogh)"
-- config.color_scheme = "Google (dark) (terminal.sexy)"
-- config.color_scheme = "Gruvbox Dark"

config.default_cursor_style = "BlinkingBar"

-- config.font = wezterm.font("ComicCode Nerd Font")
-- config.font = wezterm.font("Monocraft Nerd Font")
-- config.font = wezterm.font("Anka/Coder")
-- config.font = wezterm.font("SpaceMono Nerd Font")
-- config.font = wezterm.font("MesloLGS Nerd Font Propo")
config.font = wezterm.font("JetBrainsMonoNL Nerd Font Propo")
-- config.font = wezterm.font("MartianMono Nerd Font")
-- config.font = wezterm.font("SFMono Nerd Font")
-- config.font = wezterm.font("FiraCode Nerd Font")
-- config.font = wezterm.font("Lilex Nerd Font")
config.font_size = 14.0
config.window_decorations = "NONE"
config.enable_tab_bar = false
config.window_padding = {
	left = 4,
	right = 2,
	top = 2,
	bottom = 0,
}
-- and finally, return the configuration to wezterm
return config
